<?php

 session_start();
  $rut=$_SESSION['rut'];
  $cliente=$_SESSION['cliente'];


$pi_folio=$_REQUEST['pi_folio'];
$norma_id=$_REQUEST['norma_id'];

$embalaje_cod=$_REQUEST['embalaje_cod'];
$variedad_id=$_REQUEST['variedad_id'];
$n_proceso=$_REQUEST['n_proceso'];


$productor_id=$_REQUEST['productor_id'];
$clasificacion_id=$_REQUEST['clasificacion_id'];
$calibre_id=$_REQUEST['calibre_id'];

$resolucion_lote=$_REQUEST['resolucion_lote'];
include '../../conexion/conn.php';
$resolucion_lote_real=$_REQUEST['resolucion_lote'];
$caja_id_causal=$_REQUEST['caja_id_causal'];
$resolucion_calibre_id="";
$resolucion_embalaje_cod="";



if($resolucion_lote=="RECLASIFICAR CALIBRE"){
        if(isset($_REQUEST['calibre_resolucion'])){
        $calibre_resolucion=$_REQUEST['calibre_resolucion'];
        $resolucion_calibre_id=$_REQUEST['calibre_resolucion'];
        $rs_nom_calibre = mysql_query("SELECT * FROM cal_calibre WHERE calibre_id='".$calibre_resolucion."'");
        if($row_nom_cal = mysql_fetch_array($rs_nom_calibre)){
                $calibre_nombre=$row_nom_cal['calibre_nombre'];
        }
                $resolucion_lote=$resolucion_lote." A ".$calibre_nombre;
        }else{
                $calibre_resolucion="";
        }
}

if($resolucion_lote=="RECLASIFICAR EMBALAJE"){
        if(isset($_REQUEST['embalaje_resolucion'])){
                $embalaje_resolucion=$_REQUEST['embalaje_resolucion'];
                $resolucion_embalaje_cod=$_REQUEST['embalaje_resolucion'];
                $resolucion_lote=$resolucion_lote." A ".$embalaje_resolucion;
        }else{
                $embalaje_resolucion="";
        }
}





$rs = mysql_query("SELECT * FROM cal_cajas where caja_id='$caja_id_causal'");

           while($row = mysql_fetch_array($rs)){
            $sincro=$row['sincro'];
            $caja_id=$row['caja_id'];
            if($sincro=="N"){
                $sincro="N";
              }else if($sincro=="S"){
                $sincro="E";
              }else{
                $sincro="E";
              }

              $resultado=mysql_query("UPDATE cal_cajas 
                SET resolucion_lote='$resolucion_lote',
                resolucion_lote_real='$resolucion_lote_real',
                resolucion_calibre_id='$resolucion_calibre_id',
                resolucion_embalaje_cod='$resolucion_embalaje_cod',
                cumple_packing='',
                sincro='$sincro'
                WHERE caja_id='$caja_id' or caja_madre='$caja_id'");

          }

          

 


echo json_encode(array('success'=>true));
?>